SDL_GetThreadID(3)

NAME
SDL_GetThreadID - Get the thread identifier for the specified thread.

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_ThreadID SDL_GetThreadID(SDL_Thread * thread);

DESCRIPTION
This thread identifier is as reported by the underlying operating system. If SDL is running on a platform that does not support threads the return value will always be zero.

FUNCTION PARAMETERS

thread
    the thread to query

RETURN VALUE
Returns the ID of the specified thread, or the ID of the current thread if thread is NULL.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetCurrentThreadID(3)